Skip to main content
GET
/
v1
/
tasks
List tasks
curl --request GET \
  --url https://api.clientcommander.com/v1/tasks \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timestamp": "2023-11-07T05:31:56Z",
    "version": "1.0.0"
  },
  "data": [
    {
      "id": "<string>",
      "title": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "dueDate": "2023-11-07T05:31:56Z",
      "priority": "medium",
      "completedAt": "2023-11-07T05:31:56Z",
      "personId": "<string>",
      "assignedTo": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.clientcommander.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication using Bearer token scheme.

How to get your API key:

  1. Log into Client Commander
  2. Go to Admin > API Keys
  3. Click Create API Key
  4. Copy the key and use it in the Authorization header:
Authorization: Bearer ccmd_live_your_key_here

Query Parameters

personId
string

Filter tasks by contact ID

completed
boolean

Filter by completion status

Response

200 - application/json

List of tasks

meta
object
required
data
object[]